Skip to main content
DELETE
/
sites
/
environments
/
{env_id}
/
domains
Delete one or more site domains
curl --request DELETE \
  --url https://api.kinsta.com/v2/sites/environments/{env_id}/domains \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "domain_ids": [
    "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
    "3b2b80af-576c-4fdc-ba4f-b596c83f15a1"
  ]
}
'
{
  "message": "Deleting site domain in progress",
  "status": 202,
  "operation_id": "sites:delete-domain-54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

env_id
string
required
Example:

"54fb80af-576c-4fdc-ba4f-b596c83f15a1"

Body

application/json
domain_ids
string[]
required
Example:
[
"54fb80af-576c-4fdc-ba4f-b596c83f15a1",
"3b2b80af-576c-4fdc-ba4f-b596c83f15a1"
]

Response

Site domain deletion action started. Check MyKinsta for status

message
string
required
Example:

"Deleting site domain in progress"

status
number
required
Example:

202

operation_id
string
Example:

"sites:delete-domain-54fb80af-576c-4fdc-ba4f-b596c83f15a1"